/*----------------------------------------------*/
/*						*/
/*			MENU.C			*/
/*						*/
/* This file contains the procedures for the	*/
/* menu interface. How very interesting.	*/
/*						*/
/*----------------------------------------------*/

/* top level */

void menu()
{
char choice[5];

 while (TRUE)		/* loop forever */
   {
    displaymenu();
    enterchoice(choice);
    selectchoice(atoi(choice));
   }
}


/* display the menu */
void displaymenu()
{
 printf("\n\n\n");
 printf("1) Search for matching case\n\n");
 printf("2) Search specifying indexes separately\n\n");
 printf("3) Turn list expansion ON/OFF\n\n");
 printf("4) Quit\n\n");
}


/* get choice from user */
void enterchoice(choice)
char *choice;
{
 do
   {
    printf("Enter choice (1,2,3 or 4): ");
    getstring(choice);
   }
 while (atoi(choice) != 1 &&
        atoi(choice) != 2 &&
        atoi(choice) != 3 &&
        atoi(choice) != 4);
}


/* execute the chosen option */

void selectchoice(choice)
int choice;
{
 if (choice == 1)
   {
    casematching(TRUE);		/* get index values from case */
    rulerepair();
    updatecasebase();
/*    displayindexes();	used for testing only */
    cleanup();			/* clean up globals for next cycle */
   }
 else if (choice == 2)
   {
    casematching(FALSE);	/* get index values from user */
    rulerepair();
    updatecasebase();
/*    displayindexes();	used for testing only */
    cleanup();			/* clean up globals for next cycle */
   }
 else if (choice == 3)		/* turn list expansion on/off */
   {
    if (listexpansion == TRUE)
      {
       printf("\n\nList expansion is now turned OFF\n\n");
       listexpansion = FALSE;
      }
    else
      {
       printf("\n\nList expansion is now turned ON\n\n");
       listexpansion = TRUE;
      }
   }
 else if (choice == 4)
   {
    exit(0);
   }
 else
   {
    fprintf(stderr,"Huh? - Unknown choice\n");
    exit(1);
   }
}
